<?php 

// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Faculty block strings
 *
 * @package   block_faculty_tbird
 * @copyright 2013 onwards Johan Reinalda (http://www.thunderbird.edu)
 * @license   http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

$string['pluginname'] = 'Faculty Contact';
$string['configtitle'] = 'Title';
$string['configtitledefault'] = 'Faculty Contact Information';
$string['configtitledescr'] = 'If set, show as short title in block header. If not set, do not show header.';
$string['facultyroles'] = 'Faculty Roles';
$string['facultyrolesdescription'] = "Select the roles that will be shown in the Faculty Contact block.";
$string['configshowifempty'] = 'Show if empty';
$string['configshowifemptydescr'] = 'If checked, block will still show if no faculty are found.';
$string['configfooter'] = 'Footer';
$string['configfooterdescr'] = 'If set, show as footer text in each block instance.';
$string['configallownewtitle'] = 'Allow custom title';
$string['configallownewtitledescr'] = 'If set, in each instance allow a custom title.';
$string['configallowcustom'] = 'Allow custom content';
$string['configallowcustomdescr'] = 'If set, in each instance allow additional custom content to be added below auto-generated faculty contact information, and before global footer defined below.';
$string['configchangetitle'] = 'Change block title';
$string['configadditionalcontent'] = 'Additional content';
$string['faculty_tbird_settings'] = 'Faculty Contact settings';
$string['categoryname'] = 'Faculty Information';
$string['facultytitlename'] = 'Faculty Title';
$string['facultytitledescr'] = '<p>Shows as \'heading\' at top of Faculty block.</p><p>E.g. "Professor Jane Doe"</p><p>If not set, Firstname Lastname is used</p>';
$string['officename'] = 'Office Location';
$string['officedescr'] = '<p>Office location as shown in Faculty block.</p>';
$string['officehoursname'] = 'Office Hours';
$string['officehoursdescr'] = '<p>Faculty Office Hours</p>';
$string['facultybiourlname'] = 'Biography URL';
$string['facultybiourldescr'] = '<p>Link to Faculty Biography page</p>';
$string['profileclicktitle'] = 'Click here to see the profile of ';
$string['officelabel'] = 'Office';
$string['officehourslabel'] = 'Office Hours';
$string['phonelabel'] = 'Phone';
$string['emaillabel'] = 'Email';
$string['skypelabel'] = 'Skype';
$string['bio'] = '\'s Bio';
$string['biotitle'] = 'Click here to see the bio';
$string['customprofilefieldstring'] = 'Custom Profile Field';
$string['alreadyexists'] = 'already exists (probably from previous install)!';
$string['faculty_tbird:addinstance'] = 'Add a new Faculty Contact block';
$string['faculty_tbird:myaddinstance'] = '';


